"use strict";
(self["webpackChunksentinll"] = self["webpackChunksentinll"] || []).push([[76],{

/***/ 6168:
/*!*****************************************************!*\
  !*** ./src/app/shared/Models/EnergyUnitCostRate.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   EnergyUnitCostRate: () => (/* binding */ EnergyUnitCostRate),
/* harmony export */   EnergyUnitRateProfiles: () => (/* binding */ EnergyUnitRateProfiles),
/* harmony export */   Period: () => (/* binding */ Period),
/* harmony export */   Tariff: () => (/* binding */ Tariff)
/* harmony export */ });
class EnergyUnitCostRate {
  constructor() {
    this.energyUnitRateProfiles = new Array();
  }
}
class EnergyUnitRateProfiles {
  constructor() {
    this.haveGenericMeter = true;
    this.periods = new Array();
  }
}
class Period {
  constructor() {
    this.tariffs = new Array();
  }
}
class Tariff {}

/***/ }),

/***/ 97630:
/*!***************************************************!*\
  !*** ./src/app/shared/enums/access-token.enum.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AccessToken: () => (/* binding */ AccessToken)
/* harmony export */ });
var AccessToken = /*#__PURE__*/function (AccessToken) {
  AccessToken["DEFAULT"] = "1";
  AccessToken["VISITOR"] = "2";
  return AccessToken;
}(AccessToken || {});

/***/ }),

/***/ 68039:
/*!*********************************************************************!*\
  !*** ./src/app/shared/services/dashboardConfig/Enum/WidgetsType.ts ***!
  \*********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   EnumWidgetType: () => (/* binding */ EnumWidgetType)
/* harmony export */ });
const EnumWidgetType = {
  CHART: '1',
  METER: '2',
  SITE_INFO: '3',
  SITE_MAP: '4',
  ENERGY_EFFICIENCY: '5',
  ENVIRONMENTAL_IMPACT: '6',
  OTHER_WIDGETS: '99',
  SITE_QUERY_STATUS: '7',
  SITE_CARBON_INTENSITY: '11',
  SITE_NABERS_WIDGETS: '12'
};

/***/ }),

/***/ 49378:
/*!**************************************************************************!*\
  !*** ./src/app/shared/services/deviceService/sentinll-device.service.ts ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SentinllDeviceService: () => (/* binding */ SentinllDeviceService)
/* harmony export */ });
/* harmony import */ var src_environments_environment__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! src/environments/environment */ 45312);
/* harmony import */ var _utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/SentinllURLS */ 27425);
/* harmony import */ var _api_service__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../api.service */ 37554);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @angular/core */ 37580);





let SentinllDeviceService = /*#__PURE__*/(() => {
  class SentinllDeviceService {
    constructor(apiService) {
      this.apiService = apiService;
    }
    /**
     * This function is used to create sentinll device
     */
    createSentinllDevice(sentinllDevice, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.post(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__.SentinllURLS.CREATE_SENTINLL_DEVICE, sentinllDevice, config);
    }
    /**
     * This function is used to login sentinll device
     */
    login(sentinllDevice, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.post(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__.SentinllURLS.DEVICE_LOGIN, sentinllDevice, config);
    }
    /**
     * This function is used to update sentinll device
     */
    updateSentinllDevice(sentinllDevice, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__.SentinllURLS.UPDATE_SENTINLL_DEVICE, sentinllDevice, config);
    }
    /**
     * This function is used to update sentinll device
     */
    updateSentinllDeviceStatus(sentinllDevice, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__.SentinllURLS.UPDATE_SENTINLL_DEVICE_STATUS, sentinllDevice, config);
    }
    /**
     * This function is used to update sentinll device password
     */
    updatePassword(sentinllDevice, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__.SentinllURLS.CHANGE_SENTINLL_DEVICE_PASSWORD, sentinllDevice, config);
    }
    /**
     * This function is used to delete sentinll device
     */
    deleteSentinllDevice(sentinllDevice, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__.SentinllURLS.DELETE_SENTINLL_DEVICE, {
        id: sentinllDevice
      }, config);
    }
    /**
     * This function is used to get sentinll device data on the basis of site id
     */
    getDevicesListBySiteId(siteId, offset, num, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__.SentinllURLS.GET_DEVICE_BY_SITE + siteId + '/getDevicesBySiteId?offset=' + offset + '&num=' + num, config);
    }
    /**
     * function to get device by id
     * @param id
     */
    getDeviceById(id, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__.SentinllURLS.GET_DEVICE_BY_SITE + id, config);
    }
    //function to get local server device list
    getLocalServerDeviceList(config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.get(src_environments_environment__WEBPACK_IMPORTED_MODULE_0__.environment.WEB_SERVER_BASE_URL + _utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__.SentinllURLS.DEVICE_LIST, config);
    }
    /**
    * function to get device by id
    * @param id
    */
    getLocalDeviceById(config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.get(src_environments_environment__WEBPACK_IMPORTED_MODULE_0__.environment.WEB_SERVER_BASE_URL + _utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__.SentinllURLS.DEVICE_BY_ID, config);
    }
    /***
     * This function is used to get sentinll device data on the basis of site id
     * @param companyId
     * */
    getDevicesByCompanyId(companyId, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__.SentinllURLS.GET_DEVICE_BY_SITE + companyId + '/getDevicesByCompanyId', config);
    }
    /***
     * This function is used to get sentinll device data on the basis of Company Id\
     * @param companyId
     * @param offset
     * @param num
     * @param query
     * @param config
     * */
    getDevicesByCompanyIdWithPagination(companyId, offset, num, query = null, config = {
      errorHandlerCallback: null
    }) {
      if (query) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__.SentinllURLS.GET_DEVICE_BY_SITE + companyId + '/getDevicesByCompanyId?offset=' + offset + '&num=' + num + query, config);
      } else {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__.SentinllURLS.GET_DEVICE_BY_SITE + companyId + '/getDevicesByCompanyId?offset=' + offset + '&num=' + num, config);
      }
    }
    /***
       * This function is used to get sentinll device data on the basis of site id
       * @param SiteId
       * */
    getDevicesBySiteId(SiteId, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__.SentinllURLS.GET_DEVICE_BY_SITE + SiteId + '/getDevicesBySiteId', config);
    }
    /***
      * This function is used to get device list by company id with the query string.
      * */
    getDevicesByCompany(config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__.SentinllURLS.GET_DEVICES_BY_COMPANY + 'getDevicesByCompany?type=1', config);
    }
    /**
     * Use to save the device and side mapping.
     * ***/
    createSiteDeviceMapping(siteDeviceMapping, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.post(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__.SentinllURLS.GET_DEVICE_BY_SITE + 'createSiteDeviceMapping', siteDeviceMapping, config);
    }
    static #_ = (() => this.ɵfac = function SentinllDeviceService_Factory(__ngFactoryType__) {
      return new (__ngFactoryType__ || SentinllDeviceService)(_angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵinject"](_api_service__WEBPACK_IMPORTED_MODULE_2__.ApiService));
    })();
    static #_2 = (() => this.ɵprov = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵdefineInjectable"]({
      token: SentinllDeviceService,
      factory: SentinllDeviceService.ɵfac,
      providedIn: 'root'
    }))();
  }
  return SentinllDeviceService;
})();

/***/ }),

/***/ 31748:
/*!*********************************************************************!*\
  !*** ./src/app/shared/services/meterConfig/meter-config.service.ts ***!
  \*********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MeterConfigService: () => (/* binding */ MeterConfigService)
/* harmony export */ });
/* harmony import */ var _utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/SentinllURLS */ 27425);
/* harmony import */ var _api_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../api.service */ 37554);
/* harmony import */ var _enums_session_storage_keys_enum__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../enums/session-storage-keys.enum */ 7193);
/* harmony import */ var _energyUnitRatesService_energy_unit_rates_service__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../energyUnitRatesService/energy-unit-rates.service */ 34738);
/* harmony import */ var _utils_IConstants__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/IConstants */ 64346);
/* harmony import */ var _sharedServices_commonService_common_service__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../sharedServices/commonService/common.service */ 24184);
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/core */ 37580);










let MeterConfigService = /*#__PURE__*/(() => {
  class MeterConfigService {
    constructor(apiService, energyUnitRatesService, commonService) {
      this.apiService = apiService;
      this.energyUnitRatesService = energyUnitRatesService;
      this.commonService = commonService;
    }
    /**
     * Create Site
     * @param meter
     */
    createMeter(meter, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.post(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__.SentinllURLS.CREATE_METER, meter, config);
    }
    /**
     * This function is used to create get Site on the basis of id
     * @param SiteId
     */
    getMeterList(SiteId, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__.SentinllURLS.GET_METER + SiteId + "/getMeterConfigsBySiteId", config);
    }
    /**
     * This function is used to create get Site on the basis of id
     * @param meterId
     */
    getMeterById(meterId, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__.SentinllURLS.GET_METER + meterId, config);
    }
    /**
     * Update Meter
     * @param meter
     */
    updateMeter(meter, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__.SentinllURLS.UPDATE_METER, meter, config);
    }
    /**
     * Delete meter APi Implemantation
     * @param meterId
     * @return {Observable: response}
     */
    deleteMeter(meterId, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.delete(`${_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__.SentinllURLS.DELETE_METER}${meterId}/delete`, config);
    }
    /**
     * Delete Multi meter APi Implemantation
     * @param siteGroupId
     * @return {Observable: response}
     */
    deleteMultipleMeter(meter, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__.SentinllURLS.DELETE_MULTIPLE_METER, meter, config);
    }
    setSelectedSiteId(selectedSiteId) {
      this.selectedSiteId = selectedSiteId;
      sessionStorage.setItem(_enums_session_storage_keys_enum__WEBPACK_IMPORTED_MODULE_2__.SessionStorageKeys.PREVIOUS_SELECTED_METER_SITE_ID, this.selectedSiteId);
    }
    getSelectedSiteId() {
      return sessionStorage.getItem(_enums_session_storage_keys_enum__WEBPACK_IMPORTED_MODULE_2__.SessionStorageKeys.PREVIOUS_SELECTED_METER_SITE_ID);
    }
    hideAnalogSVGElementLoading(analogloaderClass, analogSVGElementClass) {
      this.hideLoader(analogloaderClass, analogSVGElementClass);
    }
    hideHybridSVGElementLoading(hybridloaderClass, hybridSVGElementClass, hiddenElements) {
      const allhiddenElements = document.getElementsByClassName(hiddenElements);
      if (allhiddenElements && allhiddenElements.length) {
        for (let i = 0; i < allhiddenElements.length; i++) {
          const hiddenElement = allhiddenElements[i];
          hiddenElement.style.display = _utils_IConstants__WEBPACK_IMPORTED_MODULE_4__.IConstants.DISPLAY_BLOCK;
        }
      }
      this.hideLoader(hybridloaderClass, hybridSVGElementClass);
    }
    hideLoader(loaderClass, elementClass) {
      const svgElements = document.getElementsByClassName(elementClass);
      if (svgElements && svgElements.length) {
        for (let i = 0; i < svgElements.length; i++) {
          const svgElement = svgElements[i];
          svgElement.style.display = _utils_IConstants__WEBPACK_IMPORTED_MODULE_4__.IConstants.DISPLAY_BLOCK;
        }
      }
      const loaders = document.getElementsByClassName(loaderClass);
      if (loaders && loaders.length) {
        for (let i = 0; i < loaders.length; i++) {
          const loader = loaders[i];
          loader.style.display = _utils_IConstants__WEBPACK_IMPORTED_MODULE_4__.IConstants.DISPLAY_NONE;
        }
      }
    }
    // get cost.
    getCost(objectId, allObjects, allSentinllObjects, meter, name = null, uniqueContainerId) {
      let value = document.getElementById(objectId).innerText;
      let objectIds = objectId;
      if (value === "-" || name && name.toUpperCase() !== "TOTAL USAGE") {
        return "-";
      } else {
        let cost = "-";
        let value;
        let energyConversionRate;
        let unitRate;
        let energyType;
        let energyUnitRates;
        // get object value.
        const object = allObjects.find(obj => uniqueContainerId + obj.sentinllObjectId === objectId);
        if (object) {
          value = object.value;
        }
        // get conversion value.
        if (name) {
          objectIds = object.sentinllObjectId;
        }
        const sentinllObject = allSentinllObjects.find(sentinllObject => sentinllObject.id === objectIds);
        if (sentinllObject && sentinllObject.energyUnitRateConversion) {
          energyConversionRate = sentinllObject.energyUnitRateConversion.energyConversionRate;
          energyType = sentinllObject.energyUnitRateConversion.energyType;
        }
        if (!energyConversionRate) {
          energyConversionRate = 1;
        }
        energyUnitRates = _energyUnitRatesService_energy_unit_rates_service__WEBPACK_IMPORTED_MODULE_3__.EnergyUnitRatesService.getEnergyUnits();
        // get unit rate.
        if (object && energyUnitRates && energyUnitRates.length && energyType) {
          unitRate = _energyUnitRatesService_energy_unit_rates_service__WEBPACK_IMPORTED_MODULE_3__.EnergyUnitRatesService.getUnitRate(object.timestamp, energyUnitRates, energyType);
        }
        // get cost.
        if (value && energyConversionRate && unitRate) {
          cost = _energyUnitRatesService_energy_unit_rates_service__WEBPACK_IMPORTED_MODULE_3__.EnergyUnitRatesService.getCost(value, energyConversionRate, unitRate);
        }
        if (meter.currencySymbol && cost !== "-") {
          cost = meter.currencySymbol + cost;
        }
        return cost;
      }
    }
    //  used to hide and show cost.
    toggleCost(isShowCost, meter) {
      let isShowCosts = !isShowCost;
      if (isShowCosts) {
        this.energyUnitRatesService.getCommonEnergyUnitsBySiteId(meter.siteId);
      }
      return isShowCosts;
    }
    /**
     * To change Execution status.
     * @param changQueryState
     * @param config
     */
    changeExecutionStatus(changQueryState, config = {
      errorHandlerCallback: null
    }) {
      this.commonService.noSpinner.next(false);
      return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__.SentinllURLS.METER_QUERY_STATUS, changQueryState, config);
    }
    /**
     * This function is used to create get Chart List on the basis of site id
     * @param siteId
     * @param config
     */
    getCommomSiteMeterList(siteId, config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.get(`${_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__.SentinllURLS.COMMON_SITE_METER}${siteId}/getMeterConfigsBySiteId`, config);
    }
    /**
     * This function is used to get meter list with pagination.
     * @param SiteId
     * @param offset
     * @param num
     * @param config
     * @param query
     */
    getMeterListBySiteIdWithPagination(siteId, offset, num, query = null, config = {
      errorHandlerCallback: null
    }) {
      if (query) {
        return this.apiService.get(`${_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__.SentinllURLS.GET_METER}${siteId}/getMeterConfigsBySiteId?offset=${offset}&num=${num}${query}`, config);
      } else {
        return this.apiService.get(`${_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__.SentinllURLS.GET_METER}${siteId}/getMeterConfigsBySiteId?offset=${offset}&num=${num}`, config);
      }
    }
    /**
     * This function used to get mter categories and subcategory by meter type.
     * @param meterType
     * @param config
     * @returns
     */
    getMeterCategoryAndSubCategory(meterType = "", config = {
      errorHandlerCallback: null
    }) {
      if (meterType) {
        return this.apiService.get(`${_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__.SentinllURLS.GET_METER}config/getMeterStructure?meterType=${meterType}`, config);
      } else {
        return this.apiService.get(`${_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__.SentinllURLS.GET_METER}config/getMeterStructure`, config);
      }
    }
    /**
     * Function to get renewable types.
     * @param config
     * @returns
     */
    getRenewableTypeList(config = {
      errorHandlerCallback: null
    }) {
      return this.apiService.get(`${_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__.SentinllURLS.GET_METER}energy/energyMeterProperties`, config);
    }
    static #_ = (() => this.ɵfac = function MeterConfigService_Factory(__ngFactoryType__) {
      return new (__ngFactoryType__ || MeterConfigService)(_angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵinject"](_api_service__WEBPACK_IMPORTED_MODULE_1__.ApiService), _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵinject"](_energyUnitRatesService_energy_unit_rates_service__WEBPACK_IMPORTED_MODULE_3__.EnergyUnitRatesService), _angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵinject"](_sharedServices_commonService_common_service__WEBPACK_IMPORTED_MODULE_5__.CommonService));
    })();
    static #_2 = (() => this.ɵprov = /*@__PURE__*/_angular_core__WEBPACK_IMPORTED_MODULE_6__["ɵɵdefineInjectable"]({
      token: MeterConfigService,
      factory: MeterConfigService.ɵfac,
      providedIn: "root"
    }))();
  }
  return MeterConfigService;
})();

/***/ }),

/***/ 38405:
/*!**************************************************!*\
  !*** ./src/app/shared/localData/energyType.json ***!
  \**************************************************/
/***/ ((module) => {

module.exports = /*#__PURE__*/JSON.parse('[{"id":"2","energyType":"Gas"},{"id":"1","energyType":"Electricity"},{"id":"3","energyType":"Water"},{"id":"6","energyType":"Thermal"},{"id":"7","energyType":"Sentinll"}]');

/***/ })

}]);
//# sourceMappingURL=common.js.map